ambari-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "amarnath reddy pappu (JIRA)" <j...@apache.org>
Subject [jira] [Updated] (AMBARI-22891) Logging improvement during the Upgrade when there is invalid Alert definition
Date Wed, 14 Feb 2018 18:38:00 GMT

     [ https://issues.apache.org/jira/browse/AMBARI-22891?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

amarnath reddy pappu updated AMBARI-22891:
------------------------------------------
    Resolution: Fixed
        Status: Resolved  (was: Patch Available)

> Logging improvement during the Upgrade when there is invalid Alert definition
> -----------------------------------------------------------------------------
>
>                 Key: AMBARI-22891
>                 URL: https://issues.apache.org/jira/browse/AMBARI-22891
>             Project: Ambari
>          Issue Type: Bug
>          Components: ambari-server
>    Affects Versions: 2.6.1
>            Reporter: amarnath reddy pappu
>            Assignee: amarnath reddy pappu
>            Priority: Major
>              Labels: pull-request-available
>             Fix For: 2.6.2
>
>         Attachments: AMBARI-22891.txt
>
>          Time Spent: 1h 20m
>  Remaining Estimate: 0h
>
> If there is invalid definition/json in alert definition then Upgrade would fail with
below exception. there is no way to determine which alert is causing the issue here.
> its not clear how this alert definition gets corrupted but we have seen this with 3 to
4 customers already - printing the alert definition name would he helpful in support point
of view to determine the root cause.. other wise it is very difficult to find it out - had
a give a dev patch to customers to find it out.
> {noformat}
> 29 Jan 2018 19:58:50,173 ERROR [main] AlertDefinitionFactory:199 - Unable to deserialize
the alert definition source during coercion
> com.google.gson.JsonSyntaxException: java.lang.IllegalStateException: Expected STRING
but was BEGIN_OBJECT
> 	at com.google.gson.internal.bind.ReflectiveTypeAdapterFactory$Adapter.read(ReflectiveTypeAdapterFactory.java:176)
> 	at com.google.gson.Gson.fromJson(Gson.java:795)
> 	at com.google.gson.Gson.fromJson(Gson.java:859)
> 	at com.google.gson.Gson$2.deserialize(Gson.java:131)
> 	at org.apache.ambari.server.state.alert.AlertDefinitionFactory$AlertDefinitionSourceAdapter.deserialize(AlertDefinitionFactory.java:373)
> 	at org.apache.ambari.server.state.alert.AlertDefinitionFactory$AlertDefinitionSourceAdapter.deserialize(AlertDefinitionFactory.java:313)
> 	at com.google.gson.TreeTypeAdapter.read(TreeTypeAdapter.java:58)
> 	at com.google.gson.Gson.fromJson(Gson.java:795)
> 	at com.google.gson.Gson.fromJson(Gson.java:761)
> 	at com.google.gson.Gson.fromJson(Gson.java:710)
> 	at com.google.gson.Gson.fromJson(Gson.java:682)
> 	at org.apache.ambari.server.state.alert.AlertDefinitionFactory.coerce(AlertDefinitionFactory.java:196)
> 	at org.apache.ambari.server.api.services.AmbariMetaInfo.reconcileAlertDefinitions(AmbariMetaInfo.java:1150)
> 	at org.apache.ambari.server.upgrade.UpdateAlertScriptPaths.executeDMLUpdates(UpdateAlertScriptPaths.java:46)
> 	at org.apache.ambari.server.upgrade.AbstractUpgradeCatalog.upgradeData(AbstractUpgradeCatalog.java:946)
> 	at org.apache.ambari.server.upgrade.SchemaUpgradeHelper.executeDMLUpdates(SchemaUpgradeHelper.java:237)
> 	at org.apache.ambari.server.upgrade.SchemaUpgradeHelper.main(SchemaUpgradeHelper.java:450)
> Caused by: java.lang.IllegalStateException: Expected STRING but was BEGIN_OBJECT
> 	at com.google.gson.internal.bind.JsonTreeReader.nextString(JsonTreeReader.java:154)
> 	at com.google.gson.internal.bind.TypeAdapters$13.read(TypeAdapters.java:349)
> 	at com.google.gson.internal.bind.TypeAdapters$13.read(TypeAdapters.java:337)
> 	at com.google.gson.internal.bind.ReflectiveTypeAdapterFactory$1.read(ReflectiveTypeAdapterFactory.java:93)
> 	at com.google.gson.internal.bind.ReflectiveTypeAdapterFactory$Adapter.read(ReflectiveTypeAdapterFactory.java:172)
> 	... 16 more
> 29 Jan 2018 19:58:50,176 ERROR [main] SchemaUpgradeHelper:239 - Upgrade failed. 
> java.lang.NullPointerException
> 	at org.apache.ambari.server.api.services.AmbariMetaInfo.reconcileAlertDefinitions(AmbariMetaInfo.java:1163)
> 	at org.apache.ambari.server.upgrade.UpdateAlertScriptPaths.executeDMLUpdates(UpdateAlertScriptPaths.java:46)
> 	at org.apache.ambari.server.upgrade.AbstractUpgradeCatalog.upgradeData(AbstractUpgradeCatalog.java:946)
> 	at org.apache.ambari.server.upgrade.SchemaUpgradeHelper.executeDMLUpdates(SchemaUpgradeHelper.java:237)
> 	at org.apache.ambari.server.upgrade.SchemaUpgradeHelper.main(SchemaUpgradeHelper.java:450)
> 29 Jan 2018 19:58:50,177 ERROR [main] SchemaUpgradeHelper:464 - Exception occurred during
upgrade, failed
> org.apache.ambari.server.AmbariException
> 	at org.apache.ambari.server.upgrade.SchemaUpgradeHelper.executeDMLUpdates(SchemaUpgradeHelper.java:240)
> 	at org.apache.ambari.server.upgrade.SchemaUpgradeHelper.main(SchemaUpgradeHelper.java:450)
> Caused by: java.lang.NullPointerException
> 	at org.apache.ambari.server.api.services.AmbariMetaInfo.reconcileAlertDefinitions(AmbariMetaInfo.java:1163)
> 	at org.apache.ambari.server.upgrade.UpdateAlertScriptPaths.executeDMLUpdates(UpdateAlertScriptPaths.java:46)
> 	at org.apache.ambari.server.upgrade.AbstractUpgradeCatalog.upgradeData(AbstractUpgradeCatalog.java:946)
> 	at org.apache.ambari.server.upgrade.SchemaUpgradeHelper.executeDMLUpdates(SchemaUpgradeHelper.java:237)
> 	... 1 more
> {noformat}



--
This message was sent by Atlassian JIRA
(v7.6.3#76005)

Mime
View raw message